package com.ruoyi.dw.mapper;

import java.util.List;
import com.ruoyi.dw.domain.CjStudent;

/**
 * 采集学生信息Mapper接口
 * 
 * @author sunyg
 * @date 2025-06-26
 */
public interface CjStudentMapper 
{
    /**
     * 查询采集学生信息
     * 
     * @param id 采集学生信息主键
     * @return 采集学生信息
     */
    public CjStudent selectCjStudentById(Long id);

    /**
     * 查询采集学生信息列表
     * 
     * @param cjStudent 采集学生信息
     * @return 采集学生信息集合
     */
    public List<CjStudent> selectCjStudentList(CjStudent cjStudent);

    /**
     * 新增采集学生信息
     * 
     * @param cjStudent 采集学生信息
     * @return 结果
     */
    public int insertCjStudent(CjStudent cjStudent);

    /**
     * 修改采集学生信息
     * 
     * @param cjStudent 采集学生信息
     * @return 结果
     */
    public int updateCjStudent(CjStudent cjStudent);

    /**
     * 删除采集学生信息
     * 
     * @param id 采集学生信息主键
     * @return 结果
     */
    public int deleteCjStudentById(Long id);

    /**
     * 批量删除采集学生信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCjStudentByIds(Long[] ids);

    /**
     * 批量确认采集学生信息
     * @param ids
     * @return
     */
    public int confirmCjStudentByIds(Long[] ids);
}
