package com.ruoyi.dw.mapper;

import java.util.List;
import com.ruoyi.dw.domain.DwAnswer;

/**
 * 调查问卷答案Mapper接口
 * 
 * @author sunyg
 * @date 2025-06-26
 */
public interface DwAnswerMapper 
{
    /**
     * 查询调查问卷答案
     * 
     * @param id 调查问卷答案主键
     * @return 调查问卷答案
     */
    public DwAnswer selectDwAnswerById(Long id);

    /**
     * 查询调查问卷答案列表
     * 
     * @param dwAnswer 调查问卷答案
     * @return 调查问卷答案集合
     */
    public List<DwAnswer> selectDwAnswerList(DwAnswer dwAnswer);

    /**
     * 新增调查问卷答案
     * 
     * @param dwAnswer 调查问卷答案
     * @return 结果
     */
    public int insertDwAnswer(DwAnswer dwAnswer);

    /**
     * 批量插入
     * @param dwAnswers
     * @return
     */
    public int insertDwAnswerBatch(List<DwAnswer> dwAnswers);

    /**
     * 修改调查问卷答案
     * 
     * @param dwAnswer 调查问卷答案
     * @return 结果
     */
    public int updateDwAnswer(DwAnswer dwAnswer);

    /**
     * 删除调查问卷答案
     * 
     * @param id 调查问卷答案主键
     * @return 结果
     */
    public int deleteDwAnswerById(Long id);

    /**
     * 批量删除调查问卷答案
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDwAnswerByIds(Long[] ids);
}
