package com.ruoyi.dw.mapper;

import java.util.List;
import com.ruoyi.dw.domain.DwInfo;

/**
 * 调查问卷主体Mapper接口
 * 
 * @author sunyg
 * @date 2025-06-26
 */
public interface DwInfoMapper 
{
    /**
     * 查询调查问卷主体
     * 
     * @param id 调查问卷主体主键
     * @return 调查问卷主体
     */
    public DwInfo selectDwInfoById(Long id);

    /**
     * 查询调查问卷主体列表
     * 
     * @param dwInfo 调查问卷主体
     * @return 调查问卷主体集合
     */
    public List<DwInfo> selectDwInfoList(DwInfo dwInfo);

    /**
     * 新增调查问卷主体
     * 
     * @param dwInfo 调查问卷主体
     * @return 结果
     */
    public int insertDwInfo(DwInfo dwInfo);

    /**
     * 修改调查问卷主体
     * 
     * @param dwInfo 调查问卷主体
     * @return 结果
     */
    public int updateDwInfo(DwInfo dwInfo);

    /**
     * 删除调查问卷主体
     * 
     * @param id 调查问卷主体主键
     * @return 结果
     */
    public int deleteDwInfoById(Long id);

    /**
     * 批量删除调查问卷主体
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDwInfoByIds(Long[] ids);
}
