package com.ruoyi.dw.mapper;

import java.util.List;
import com.ruoyi.dw.domain.DwQuestion;

/**
 * 调查问卷问题Mapper接口
 * 
 * @author sunyg
 * @date 2025-06-26
 */
public interface DwQuestionMapper 
{
    /**
     * 查询调查问卷问题
     * 
     * @param id 调查问卷问题主键
     * @return 调查问卷问题
     */
    public DwQuestion selectDwQuestionById(Long id);

    /**
     * 查询调查问卷问题列表
     * 
     * @param dwQuestion 调查问卷问题
     * @return 调查问卷问题集合
     */
    public List<DwQuestion> selectDwQuestionList(DwQuestion dwQuestion);

    /**
     * 新增调查问卷问题
     * 
     * @param dwQuestion 调查问卷问题
     * @return 结果
     */
    public int insertDwQuestion(DwQuestion dwQuestion);

    /**
     * 修改调查问卷问题
     * 
     * @param dwQuestion 调查问卷问题
     * @return 结果
     */
    public int updateDwQuestion(DwQuestion dwQuestion);

    /**
     * 删除调查问卷问题
     * 
     * @param id 调查问卷问题主键
     * @return 结果
     */
    public int deleteDwQuestionById(Long id);

    /**
     * 批量删除调查问卷问题
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDwQuestionByIds(Long[] ids);
}
