package com.ruoyi.dw.service;

import java.util.List;

import com.ruoyi.dw.domain.DwInfo;
import com.ruoyi.dw.domain.DwQuestion;
import org.springframework.web.multipart.MultipartFile;

/**
 * 调查问卷问题Service接口
 * 
 * @author sunyg
 * @date 2025-06-26
 */
public interface IDwQuestionService 
{
    /**
     * 查询调查问卷问题
     * 
     * @param id 调查问卷问题主键
     * @return 调查问卷问题
     */
    public DwQuestion selectDwQuestionById(Long id);

    /**
     * 查询调查问卷问题列表
     * 
     * @param dwQuestion 调查问卷问题
     * @return 调查问卷问题集合
     */
    public List<DwQuestion> selectDwQuestionList(DwQuestion dwQuestion);

    /**
     * 新增调查问卷问题
     * 
     * @param dwQuestion 调查问卷问题
     * @return 结果
     */
    public int insertDwQuestion(DwQuestion dwQuestion);

    /**
     * 修改调查问卷问题
     * 
     * @param dwQuestion 调查问卷问题
     * @return 结果
     */
    public int updateDwQuestion(DwQuestion dwQuestion);

    /**
     * 批量删除调查问卷问题
     * 
     * @param ids 需要删除的调查问卷问题主键集合
     * @return 结果
     */
    public int deleteDwQuestionByIds(Long[] ids);

    /**
     * 删除调查问卷问题信息
     * 
     * @param id 调查问卷问题主键
     * @return 结果
     */
    public int deleteDwQuestionById(Long id);

    /**
     *
     * 导入调查问卷
     * @param
     * @return
     */
    public int importData(MultipartFile file, DwInfo dwInfo);
}
