package com.ruoyi.dw.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.dw.mapper.CjOptionMapper;
import com.ruoyi.dw.domain.CjOption;
import com.ruoyi.dw.service.ICjOptionService;

/**
 * 数据采集选项Service业务层处理
 * 
 * @author sunyg
 * @date 2025-06-26
 */
@Service
public class CjOptionServiceImpl implements ICjOptionService 
{
    @Autowired
    private CjOptionMapper cjOptionMapper;

    /**
     * 查询数据采集选项
     * 
     * @param id 数据采集选项主键
     * @return 数据采集选项
     */
    @Override
    public CjOption selectCjOptionById(Long id)
    {
        return cjOptionMapper.selectCjOptionById(id);
    }

    /**
     * 查询数据采集选项列表
     * 
     * @param cjOption 数据采集选项
     * @return 数据采集选项
     */
    @Override
    public List<CjOption> selectCjOptionList(CjOption cjOption)
    {
        return cjOptionMapper.selectCjOptionList(cjOption);
    }

    /**
     * 新增数据采集选项
     * 
     * @param cjOption 数据采集选项
     * @return 结果
     */
    @Override
    public int insertCjOption(CjOption cjOption)
    {
        return cjOptionMapper.insertCjOption(cjOption);
    }

    /**
     * 修改数据采集选项
     * 
     * @param cjOption 数据采集选项
     * @return 结果
     */
    @Override
    public int updateCjOption(CjOption cjOption)
    {
        return cjOptionMapper.updateCjOption(cjOption);
    }

    /**
     * 批量删除数据采集选项
     * 
     * @param ids 需要删除的数据采集选项主键
     * @return 结果
     */
    @Override
    public int deleteCjOptionByIds(Long[] ids)
    {
        return cjOptionMapper.deleteCjOptionByIds(ids);
    }

    /**
     * 删除数据采集选项信息
     * 
     * @param id 数据采集选项主键
     * @return 结果
     */
    @Override
    public int deleteCjOptionById(Long id)
    {
        return cjOptionMapper.deleteCjOptionById(id);
    }
}
