package com.ruoyi.dw.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.dw.mapper.DwAnswerMapper;
import com.ruoyi.dw.domain.DwAnswer;
import com.ruoyi.dw.service.IDwAnswerService;

/**
 * 调查问卷答案Service业务层处理
 * 
 * @author sunyg
 * @date 2025-06-26
 */
@Service
public class DwAnswerServiceImpl implements IDwAnswerService 
{
    @Autowired
    private DwAnswerMapper dwAnswerMapper;

    /**
     * 查询调查问卷答案
     * 
     * @param id 调查问卷答案主键
     * @return 调查问卷答案
     */
    @Override
    public DwAnswer selectDwAnswerById(Long id)
    {
        return dwAnswerMapper.selectDwAnswerById(id);
    }

    /**
     * 查询调查问卷答案列表
     * 
     * @param dwAnswer 调查问卷答案
     * @return 调查问卷答案
     */
    @Override
    public List<DwAnswer> selectDwAnswerList(DwAnswer dwAnswer)
    {
        return dwAnswerMapper.selectDwAnswerList(dwAnswer);
    }

    /**
     * 新增调查问卷答案
     * 
     * @param dwAnswer 调查问卷答案
     * @return 结果
     */
    @Override
    public int insertDwAnswer(DwAnswer dwAnswer)
    {
        return dwAnswerMapper.insertDwAnswer(dwAnswer);
    }

    /**
     * 修改调查问卷答案
     * 
     * @param dwAnswer 调查问卷答案
     * @return 结果
     */
    @Override
    public int updateDwAnswer(DwAnswer dwAnswer)
    {
        return dwAnswerMapper.updateDwAnswer(dwAnswer);
    }

    /**
     * 批量删除调查问卷答案
     * 
     * @param ids 需要删除的调查问卷答案主键
     * @return 结果
     */
    @Override
    public int deleteDwAnswerByIds(Long[] ids)
    {
        return dwAnswerMapper.deleteDwAnswerByIds(ids);
    }

    /**
     * 删除调查问卷答案信息
     * 
     * @param id 调查问卷答案主键
     * @return 结果
     */
    @Override
    public int deleteDwAnswerById(Long id)
    {
        return dwAnswerMapper.deleteDwAnswerById(id);
    }
}
